Store APIsWebhooks
Update webhook
Updates an existing webhook endpoint. Requires the WEBHOOKS_WRITE scope.
AuthorizationBearer <token>
Bearer token authentication. Pass the secret directly in the Authorization header. Token secrets start with sk_.
In: header
Path Parameters
storeId*string
Length
12 <= length <= 48webhookId*string
Length
12 <= length <= 48Header Parameters
idempotency-key?string
Length
8 <= length <= 32Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/stores/stringstring/webhooks/stringstring" \ -H "Content-Type: application/json" \ -d '{}'{ "ok": true, "data": { "id": "whk_5h7n4tr3bcfp2v8q1mzj0kxw", "url": "https://example.com/webhooks/pandabase", "note": "Production endpoint", "isEnabled": true, "eventTypes": [ "PAYMENT_COMPLETED", "PAYMENT_REFUNDED", "PAYMENT_DISPUTED" ], "signatureVersion": "V2", "createdAt": "2026-04-10T09:00:00.000Z", "updatedAt": "2026-05-01T13:42:00.000Z" }}